Bug 146440 - files saved by wget to /tmp or /var/tmp are deleted on next tmpwatch
files saved by wget to /tmp or /var/tmp are deleted on next tmpwatch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 05:20 EST by Tomasz Ostrowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 08:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomasz Ostrowski 2005-01-28 05:20:52 EST
Description of problem:
Wget sets last access time of downloaded file to it's modify time. If
a file is saved to /tmp or /var/tmp then next tmpwatch cron job will
delete just downloaded files. This can cause the waste of bandwidth
and, in some cases, loss of data - it is supposed that a file will
stay in /tmp for 10 days and in /var/tmp for 30.

Version-Release number of selected component (if applicable):
wget-1.9.1-17
tmpwatch-2.9.1-1

How reproducible:
Always

Steps to Reproduce:
cd /tmp
wget
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/iso/MD5SUM
su -
/etc/cron.daily/tmpwatch
ls -gG /tmp/MD5SUM

Actual results:
ls: /tmp/MD5SUM: No such file or directory

Expected results:
-rw-r--r--  1 791 Nov  4 00:00 /tmp/MD5SUM

Additional info:
I've stepped on this wget I set downloading Fedora Core 3 iso's to
/var/tmp last night and found out today that the files are missing.

I think wget should only change modify time on downloaded files, not
access time.
Comment 1 Karsten Hopp 2005-01-31 08:00:22 EST
Please try wget-1.9.1-19 from Rawhide

Note You need to log in before you can comment on or make changes to this bug.